package controller

import (
	"web-qudo-be/app/module/our_service_content_images/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	OurServiceContentImages OurServiceContentImagesController
}

func NewController(ourServiceContentImagesService service.OurServiceContentImagesService, log zerolog.Logger) *Controller {
	return &Controller{
		OurServiceContentImages: NewOurServiceContentImagesController(ourServiceContentImagesService, log),
	}
}